package co.yixiang.yshop.module.system.service.backuprecord;

import co.yixiang.yshop.framework.common.pojo.PageResult;
import co.yixiang.yshop.module.system.controller.admin.backuprecord.vo.BackupPageReqVO;
import co.yixiang.yshop.module.system.controller.admin.backuprecord.vo.BackupRecordRespVO;
import co.yixiang.yshop.module.system.dal.dataobject.backup.BackupRecordDO;

/**
 * 商品品牌 Service 接口
 *
 * @author yshop
 */
public interface BackupRecordService {

    PageResult<BackupRecordRespVO> backupPageList(BackupPageReqVO pageVO);

    void backup();

    void revertBackup();

}
